Skip to main content
POST
/
payout-subaccounts
Create a Payout Subaccount
curl --request POST \
  --url https://api.flutterwave.com/v3/payout-subaccounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_name": "john doe",
  "email": "johndoe@gmail.com",
  "mobilenumber": "09010000000",
  "country": "NG"
}
'
{
  "status": "success",
  "message": "Payout subaccount created",
  "data": {
    "id": 4190,
    "account_reference": "PSA7472870CFA3073543",
    "account_name": "Example User",
    "barter_id": "234000002466747",
    "email": "user@gmail.com",
    "mobilenumber": "09010000000",
    "country": "US",
    "nuban": "6222125542",
    "bank_name": "Sterling Bank",
    "bank_code": "232",
    "status": "ACTIVE",
    "created_at": "2024-03-24T09:38:03.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
account_name
string
required
email
string
required
mobilenumber
string
required
country
string
required

Response

OK

status
string
required
message
string
required
data
Data55 · object
required
Example:
{
"id": 4190,
"account_reference": "PSA7472870CFA3073543",
"account_name": "Example User",
"barter_id": "234000002466747",
"email": "user@gmail.com",
"mobilenumber": "09010000000",
"country": "US",
"nuban": "6222125542",
"bank_name": "Sterling Bank",
"bank_code": "232",
"status": "ACTIVE",
"created_at": "2024-03-24T09:38:03.000Z"
}